Support » Plugin: Quizzes for LearnPress » Upgrade Quizzes for LearnPress to LearnPress 3.0

  • Hi, hope you are well.

    We are ThimPress, the author team of LearnPress.

    Thank you for making such a great add-on for LearnPress. We really like your plugin and therefore we would like to invite you to check our OpenBeta of LearnPress 3.0 in order to test/change the plugin to make it work perfectly with your plugin.

    Currently, Quizzes for LearnPress is working perfectly with LearnPress 2.0. However, since LearnPress 3.0 is a complete change in the structure of the LearnPress core, it may not work properly if there is no modification to the Quizzes for LearnPress. For the benefit of the customers, we are inviting you to check LearnPress 3.0, check its compatibility with your plugin and also, we want to look into ways we can cooperate to widen the LearnPress community.

    You can find the link to LearnPress 3.0 Open Beta 4 here: https://github.com/LearnPress/learnpress/releases/tag/3.0.0-openbeta.4

    Thank you and regards,
    Tung @ ThimPress

    The page I need help with: [log in to see the link]

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author prasunsen

    (@prasunsen)

    Thank you for taking care to post this. We will work on it when time permits.

    Plugin Author prasunsen

    (@prasunsen)

    @thimpress unfortunately we can’t even activate the beta:

    Fatal error: Uncaught Error: Call to a member function get_priority() on array in /opt/lampp/htdocs/wordpress/wp-content/plugins/learnpress/inc/admin/class-lp-admin-menu.php:152 Stack trace: #0 [internal function]: LP_Admin_Menu->sort_menu_items(Object(LP_Submenu_Tools), Array) #1 /opt/lampp/htdocs/wordpress/wp-content/plugins/learnpress/inc/admin/class-lp-admin-menu.php(111): uasort(Array, Array) #2 /opt/lampp/htdocs/wordpress/wp-includes/class-wp-hook.php(286): LP_Admin_Menu->admin_menu(”) #3 /opt/lampp/htdocs/wordpress/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array) #4 /opt/lampp/htdocs/wordpress/wp-includes/plugin.php(465): WP_Hook->do_action(Array) #5 /opt/lampp/htdocs/wordpress/wp-admin/includes/menu.php(154): do_action(‘admin_menu’, ”) #6 /opt/lampp/htdocs/wordpress/wp-admin/menu.php(300): require_once(‘/opt/lampp/htdo…’) #7 /opt/lampp/htdocs/wordpress/wp-admin/admin.php(151): require(‘/opt/lampp/htdo…’) #8 /opt/lampp/htdocs/wordpress/wp-admin/plugins.php(10): require_once(‘/opt/lampp/ in /opt/lampp/htdocs/wordpress/wp-content/plugins/learnpress/inc/admin/class-lp-admin-menu.php on line 152

    Hi again! I’m sorry for not responding earlier.
    We forgot to check the reply so we were unable to respond to your topic.

    We updated LearnPress 3.0.0 today. Please check again.

    Should there be any issues, please send Tung (tungnd@thimpress.com) an email and he will help you out or you can send an email directly to the head of development for Learnpress – Tu (tunn@thimpress.com) and he will work with you directly to solve the issue.

    Regards,

    ThimPress

    any update on this
    we are facing same fatal error

    Fatal error: Uncaught Error: Call to a member function get_priority() on array in /opt/lampp/htdocs/wordpress/wp-content/plugins/learnpress/inc/admin/class-lp-admin-menu.php:152 Stack trace: #0 [internal function]: LP_Admin_Menu->sort_menu_items(Object(LP_Submenu_Tools), Array) #1 /opt/lampp/htdocs/wordpress/wp-content/plugins/learnpress/inc/admin/class-lp-admin-menu.php(111): uasort(Array, Array) #2 /opt/lampp/htdocs/wordpress/wp-includes/class-wp-hook.php(286): LP_Admin_Menu->admin_menu(”) #3 /opt/lampp/htdocs/wordpress/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array) #4 /opt/lampp/htdocs/wordpress/wp-includes/plugin.php(465): WP_Hook->do_action(Array) #5 /opt/lampp/htdocs/wordpress/wp-admin/includes/menu.php(154): do_action(‘admin_menu’, ”) #6 /opt/lampp/htdocs/wordpress/wp-admin/menu.php(300): require_once(‘/opt/lampp/htdo…’) #7 /opt/lampp/htdocs/wordpress/wp-admin/admin.php(151): require(‘/opt/lampp/htdo…’) #8 /opt/lampp/htdocs/wordpress/wp-admin/plugins.php(10): require_once(‘/opt/lampp/ in /opt/lampp/htdocs/wordpress/wp-content/plugins/learnpress/inc/admin/class-lp-admin-menu.php on line 152

    we are using updated version of learnpress 3.0.0
    and Quizzes for LearnPress is now deactivted
    when we activate this then we see the above php error

    Seems like this is an issue of LearnPress 3.0.1
    We’ve just released the 3.0.2 version. Please check again.
    Also, as we can’t get notification over this support system, please send an email directly to the head of development for Learnpress – Tu (tunn@thimpress.com) so he can discuss with you and help you with the new LP 3 structure.

    Hi,

    I got a problem with fill in the blanks questions, it is giving me the following notification in the question :

    Notice: Undefined index: 5ac3251e079b4 in /home4/kickste5/public_html/therapidenglish/wp-content/plugins/learnpress-fill-in-blank/inc/class-lp-question-fill-in-blank.php on line 207

    Warning: array_merge(): Argument #1 is not an array in /home4/kickste5/public_html/therapidenglish/wp-content/plugins/learnpress-fill-in-blank/inc/class-lp-question-fill-in-blank.php on line 207

    Please help. Thanks

    Plugin Author prasunsen

    (@prasunsen)

    Please post this topic in LP support threads. We are providing only a connector here, can’t support Learnpress itself.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Upgrade Quizzes for LearnPress to LearnPress 3.0’ is closed to new replies.